Package org.globus.util.http

# Class LineReader

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
org.globus.util.http.LineReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class LineReader extends FilterInputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`_charsRead`

### Fields inherited from class java.io.FilterInputStream

`in`

## Constructor Summary

Constructors
Constructor
Description
`LineReader(InputStream is)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCharsRead()`
`InputStream`
`getInputStream()`
`String`
`readLine()`
`protected String`
`readLine(InputStream in)`
Read a line of text from the given Stream and return it as a String.

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.io.InputStream

`nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _charsRead

protected int _charsRead

## Constructor Details

### LineReader

public LineReader(InputStream is)

## Method Details

### getInputStream

public InputStream getInputStream()

### getCharsRead

public int getCharsRead()

### readLine

public String readLine() throws IOException

Throws:
  `IOException`

### readLine

protected String readLine(InputStream in) throws IOException
Read a line of text from the given Stream and return it as a String. Assumes lines end in CRLF.

Parameters:
  `in` - a connected stream which contains the entire message being sen.
Returns:
  the next line read from the stream.
Throws:
  `IOException` - if a connection fails or abnormal connection termination.